r17 - in builds/debian_unstable: . default__gtk_textui_alsa_zrtp

erik at minisip.org erik at minisip.org
Tue Oct 10 13:44:12 CEST 2006


Author: erik
Date: 2006-10-10 13:44:11 +0200 (Tue, 10 Oct 2006)
New Revision: 17

Added:
   builds/debian_unstable/default__gtk_textui_alsa_zrtp/
Modified:
   builds/debian_unstable/default__gtk_textui_alsa_zrtp/build.sh
Log:

 * Added auto-build of ZRTP on the debian unstable machine.



Copied: builds/debian_unstable/default__gtk_textui_alsa_zrtp (from rev 16, builds/debian_unstable/default__gtk_textui_oss)

Modified: builds/debian_unstable/default__gtk_textui_alsa_zrtp/build.sh
===================================================================
--- builds/debian_unstable/default__gtk_textui_oss/build.sh	2006-10-04 12:31:09 UTC (rev 16)
+++ builds/debian_unstable/default__gtk_textui_alsa_zrtp/build.sh	2006-10-10 11:44:11 UTC (rev 17)
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 
-# wait if high load (only available on dev.minisip.org)
+# delay build until load is low (only available on dev.minisip.org)
 sleep_while_load 3
 
 REV=$1
@@ -15,13 +15,15 @@
 
 svn co -r $REV svn://svn.minisip.org/minisip/trunk || { echo "ERROR Could not download source" >&2 && exit 1 ; }
 
-# compile without any configure options (other than the prefix)
+# compile with zrtp and alsa options (other than the prefix)
+# fix: config options are added to all libraries, even if only
+# one should get it
 cd trunk
-for LIB in libmutil libmcrypto libmnetutil libmstun libmikey libmsip libminisip minisip ; do
+for LIB in libmutil libmcrypto libmnetutil libmstun libmikey libzrtpcpp libmsip libminisip minisip ; do
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-textui prefix=$PREFIX && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure --enable-textui --enable-zrtp --enable-alsa prefix=$PREFIX && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 



More information about the Minisip-devel mailing list